import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * Gras - eine Klasse fr das Gras.
 * Das Attribut "zustand" soll beschreiben, wie gut gewachsen
 * das Gras ist.
 *
 * @author Ralf Punkenburg
 * @version 16.2.2007
 */
public class Gras extends Actor
{
    private int zustand;
    private static final int RATE = 5;// Wachstumsrate fr Gras

    public Gras() {
        zustand = 10; // bester Zustand
    }
    
    /**
     *  Gras ist nur essbar, wenn es gut gewachsen ist 
     */
    public boolean essbar() {
        if (zustand==10) return true;
        else return false;
    }
    /**
     *  An der Darstellung erkennt man, dass das Gras niedergefressen 
     *  wurde. Nach dem Aufessen muss das Gras einige Zeit lang 
     *  wieder wachsen. 
     */
    public void aufessen(){
        zustand = 0;
        setImage("gras0.png");
    }
    
    /**
     *  In Abhngigkeit von der Wachstumsrate wchst das Gras, man erkennt
     *  das an der graphischen Darstellung. Das Wachstum ist durch einen
     *  optimalen Zustand begrenzt.
     */
    public void act()
    {
        if (zustand<10 && Greenfoot.getRandomNumber(10)< RATE ) zustand++;
        if (zustand == 10) setImage("gras10.png");
        if (zustand < 6)  setImage("gras5.png");
        if (zustand < 3)  setImage("gras0.png");
    }
}